#!/usr/bin/perl

use strict;
use warnings;

use FindBin qw($Bin);
use lib "$Bin/lib";

use Test::More tests => 3;

#use Test::More qw(no_plan);

use_ok('Opsview::Test::Cfg');

use Test::File;
use Test::LongString;

my $bindir     = $Bin . '/../bin/';
my $opsview_sh = $bindir . 'opsview.sh';

file_exists_ok($opsview_sh);

my $output   = `$opsview_sh`;
my $expected = 'ROOT_DIR="/usr/local/nagios"
DB="'.Opsview::Test::Cfg->opsview.'"
DBUSER="opsview"
DBPASSWD="'.Opsview::Test::Cfg->opsview_passwd.'"
DBHOST="localhost"
BACKUP_DIR="/usr/local/nagios/var/backups"
BACKUP_RETENTION_DAYS="30"
DAILY_BACKUP="1"
ARCHIVE_RETENTION_DAYS="180"
SNMPTRAPEXCEPTION_RETENTION_DAYS="60"
ODW_DB="'.Opsview::Test::Cfg->odw.'"
ODW_DBUSER="odw"
ODW_DBPASSWD="'.Opsview::Test::Cfg->odw_passwd.'"
ODW_DBHOST="localhost"
RUNTIME_DB="'.Opsview::Test::Cfg->runtime.'"
RUNTIME_DBUSER="nagios"
RUNTIME_DBPASSWD="'.Opsview::Test::Cfg->runtime_passwd.'"
RUNTIME_DBHOST="localhost"
USE_PREFORK="0"
BIND_ADDRESS="0.0.0.0"
USE_LIGHTTPD="0"
LIGHTTPD_DAEMONS="16"
LIGHTTPD_SOCKET="/usr/local/nagios/var/opsview_web_socket"
USE_HTTPS="0"
REPORTS_DB="'.Opsview::Test::Cfg->reports.'"
REPORTS_DBUSER="reporter"
REPORTS_DBPASSWD="'.Opsview::Test::Cfg->reports_passwd.'"
REPORTS_DBHOST="localhost"
NMIS_MAXTHREADS="2"
OVERRIDES=\''.Opsview::Test::Cfg->overrides.'\'
';

is_string( $output, $expected, 'shell config is as expected - linked to hudson\'s configuration' ) || diag $output;
